package cn.yyxx.commsdk.core;

import android.content.Context;

public class SdkDrive {

    static {
        System.loadLibrary("yyxxgame");
    }

    private SdkDrive() {

    }

    public static SdkDrive getInstance() {
        return NTestHolder.INSTANCE;
    }

    public native void initDrive(Context context);

    public native String invokeJobWithoutParams(String data);

//    public native void setParam(String key, String value);

//    public native String getParam(String key);

    public native String invokeJob(String data);

    public native String parseJob(String data);

//    public native String RsaEncrypt(String data);

    private static final class NTestHolder {
        private static final SdkDrive INSTANCE = new SdkDrive();
    }
}
